Arch Linux

Please read this before reporting a bug:
https://wiki.archlinux.org/title/Bug_reporting_guidelines

Do NOT report bugs when a package is just outdated, or it is in the AUR. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#20872 - totem 2.30.2-1 youtube plugin requires libgdata

Attached to Project: Arch Linux
Opened by Niklas Gottschalk (das_coach) - Thursday, 16 September 2010, 20:25 GMT
Last edited by Ionut Biru (wonder) - Thursday, 16 September 2010, 21:47 GMT
Task Type Bug Report
Category Packages: Extra
Status Closed
Assigned To No-one
Architecture i686
Severity Low
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 0
Private No

Details

Description:
activating the youtube totem plugin doesn't work with stock totem installation as i can't find libgdata.


Additional info:
version: 2.30.2-1

Steps to reproduce:
- make sure you haven't installed libgdata (otherwise uninstall it und check totem for broken deps)
- open totem with --debug
- try to enable the youtube plugin
- ...
- profit=)

PS: though it's my first bugreport in here and it doesn't contain much information, i think the given info should be enough=) if you need further information, just let me know^^
This task depends upon

Closed by  Ionut Biru (wonder)
Thursday, 16 September 2010, 21:47 GMT
Reason for closing:  Not a bug
Comment by Kevin (anonymous_user) - Thursday, 16 September 2010, 21:30 GMT
Since the YouTube plugin is just an optional feature, libgdata is in optdepends.
Comment by Ionut Biru (wonder) - Thursday, 16 September 2010, 21:32 GMT
pacman -Si totem

is already an optional dependency
Comment by Niklas Gottschalk (das_coach) - Thursday, 16 September 2010, 21:35 GMT
but the plugin is available even without installing libgdata, that's the point=)
Comment by Ionut Biru (wonder) - Thursday, 16 September 2010, 21:37 GMT
i don't understand your bug. You want that plugin to not be listed in the plugin list if libgdata is not present?

submit it upstream, is not our problem
Comment by Kevin (anonymous_user) - Thursday, 16 September 2010, 21:42 GMT
Since Arch Linux ships the totem player and its plugins as one package, maybe Niklas was expecting the plugins to work OOTB.
Comment by Niklas Gottschalk (das_coach) - Thursday, 16 September 2010, 21:45 GMT
yeps=) but ok, i don't think it's an upstream bug due to the fact that it's regarding to deps. if that's part of the arch way, i can live with that=)

(btw, arch rocks, coming from gentoo)
Comment by Ionut Biru (wonder) - Thursday, 16 September 2010, 21:47 GMT
note that pacman output is important, especially optional dependencies if you want to extent the functionality.

the output is there to be read not to be ignored :D

Loading...